modules/yii2admin/models/AttributeGroup.php
<?php

namespace app\modules\yii2admin\models;

use app\models\AttributeGroupDescription;
use Yii;

/**
 * This is the model class for table "attribute_group".
 *
 * @property int $attribute_group_id
 * @property int $sort_order
 * @property int $option
 * @property int $filter
 */
class AttributeGroup extends \yii\db\ActiveRecord
{

    const OPTION_ID = 2;

    public function getAttributeGroupDescription()
    {
        return $this->hasOne(AttributeGroupDescription::className(), ['attribute_group_id' => 'attribute_group_id'])->
        andOnCondition(['language_id' => Yii::$app->language]);
    }

    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'attribute_group';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['sort_order', 'option', 'filter'], 'required'],
            [['sort_order', 'option', 'filter'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
//    public function attributeLabels()
//    {
//        return [
//            'sort_order' => 'Сортировка',
//            'option' => 'Опция',
//            'filter' => 'Фильтр',
//        ];
//    }

    public static function getAttributeGroups()
    {
        return AttributeGroup::find()->
        joinWith([
            'attributeGroupDescription' => function ($query) {
                $query->onCondition(['attribute_group_description.language_id' => Yii::$app->language]);
            }
        ])->
        all();
    }

}

modules/yii2admin/controllers/AttributeGroupController.php
<?php

namespace app\modules\yii2admin\controllers;

use app\modules\yii2admin\models\AttributeGroupDescription;
use Yii;
use app\modules\yii2admin\models\AttributeGroup;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\widgets\Breadcrumbs;
use yii\helpers\Url;

/**
 * AttributeGroupController implements the CRUD actions for AttributeGroup model.
 */
class AttributeGroupController extends Controller
{

    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all AttributeGroup models.
     * @return mixed
     */
    public function actionIndex()
    {

        $data['ag'] = AttributeGroup::getAttributeGroups();

        return $this->render('index', [
            'data' => $data,
        ]);
    }

    /**
     * Displays a single AttributeGroup model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        $links = [];
        $links[] = ['label' => 'Attribute Group', 'url' => Url::to(['index'])];
        $links[] = 'View';

        $breadcrumbs = Breadcrumbs::widget([
            'homeLink' => [
                'label' => 'Главная',
                'url' => Url::to(['default/index']),
            ],
            'options' => ['class' => 'breadcrumb'],
            'itemTemplate' => "<li>{link}</li>\n",
            'links' => $links,
        ]);

        return $this->render('view', [
            'model' => $this->findModel($id),
            'modelAgd' => $this->findModelAgd($id),
            'breadcrumbs' => $breadcrumbs,
        ]);
    }

    /**
     * Creates a new AttributeGroup model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new AttributeGroup();
        $modelAgd = new AttributeGroupDescription();

        $links = [];
        $links[] = ['label' => 'Attribute Group', 'url' => Url::to(['index'])];
        $links[] = 'Create';

        $breadcrumbs = Breadcrumbs::widget([
            'homeLink' => [
                'label' => 'Главная',
                'url' => Url::to(['default/index']),
            ],
            'options' => ['class' => 'breadcrumb'],
            'itemTemplate' => "<li>{link}</li>\n",
            'links' => $links,
        ]);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            $modelAgd->attribute_group_id = Yii::$app->db->getLastInsertID();
            if ($modelAgd->load(Yii::$app->request->post()) && $modelAgd->save()) {
                return $this->redirect(['view', 'id' => $model->attribute_group_id]);
            }
        }

        return $this->render('create', [
            'model' => $model,
            'modelAgd' => $modelAgd,
            'breadcrumbs' => $breadcrumbs,
        ]);
    }

    /**
     * Updates an existing AttributeGroup model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $modelAgd = $this->findModelAgd($id);

        $links = [];
        $links[] = ['label' => 'Attribute Group', 'url' => Url::to(['index'])];
        $links[] = 'Update';

        $breadcrumbs = Breadcrumbs::widget([
            'homeLink' => [
                'label' => 'Главная',
                'url' => Url::to(['default/index']),
            ],
            'options' => ['class' => 'breadcrumb'],
            'itemTemplate' => "<li>{link}</li>\n",
            'links' => $links,
        ]);

        if ($model->load(Yii::$app->request->post()) && $model->save() && $modelAgd->load(Yii::$app->request->post()) && $modelAgd->save()) {
            return $this->redirect(['view', 'id' => $model->attribute_group_id]);
        }

        return $this->render('update', [
            'model' => $model,
            'modelAgd' => $modelAgd,
            'breadcrumbs' => $breadcrumbs,
        ]);
    }

    /**
     * Deletes an existing AttributeGroup model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();
        $this->findModelAgd($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the AttributeGroup model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return AttributeGroup the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = AttributeGroup::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    protected function findModelAgd($id)
    {
        if (($model = AttributeGroupDescription::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

modules/yii2admin/views/attribute-group/_form_.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="attribute-group-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'sort_order')->textInput() ?>

    <?= $form->field($model, 'option')->textInput() ?>

    <?= $form->field($model, 'filter')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

modules/yii2admin/views/attribute-group/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */

$this->title = 'Create Attribute Group';
?>
<div id="breadcrumbs">
    <div class="container is-size-6">
        <?= $breadcrumbs ?>
    </div>
</div>
<div class="section container content">
    <h1><?= Html::encode($this->title) ?></h1>
    <?= $this->render('form', [
        'model' => $model,
        'modelAgd' => $modelAgd,
        'nameButton' => 'Создать',
    ]) ?>
</div>

modules/yii2admin/views/attribute-group/create_.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */

$this->title = 'Create Attribute Group';
$this->params['breadcrumbs'][] = ['label' => 'Attribute Groups', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="attribute-group-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

modules/yii2admin/views/attribute-group/form.php
<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */
/* @var $form yii\widgets\ActiveForm */
?>

<div>
    <?php $form = ActiveForm::begin(); ?>
    <div class="columns">
        <div class="column is-half">

            <div class="field">
                <div class="control">
                    <?= $form->field($model, 'sort_order')->textInput(['autofocus' => true, 'class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($model, 'option')->checkbox(['class' => 'checkbox']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($model, 'filter')->checkbox(['class' => 'checkbox']) ?>
                </div>
            </div>
            <hr>

            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'language_id')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'name')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'seo_url')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'title')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'description')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'keyword')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'h1')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'nofollow')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>
            <div class="field">
                <div class="control">
                    <?= $form->field($modelAgd, 'noindex')->textInput(['class' => 'input primary']) ?>
                </div>
            </div>


            <div class="field">
                <div class="control">
                    <?= Html::submitButton($nameButton, ['class' => 'button is-primary is-medium']) ?>
                </div>
            </div>
        </div>
    </div>
    <?php ActiveForm::end(); ?>
</div>

modules/yii2admin/views/attribute-group/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Attribute Groups';
?>
<div class="section container content">
    <h1><?= Html::encode($this->title) ?></h1>
    <a href="<?= Url::to(['attribute-group/create']) ?>" class="button is-primary is-medium ag-create"
       title="Создать">Создать</a>
    <table class="table is-striped is-hoverable is-fullwidth">
        <thead>
        <tr>
            <th colspan="1" class="has-text-centered">Id</th>
            <th colspan="1" class="has-text-centered">Name</th>
            <th colspan="1" class="has-text-centered">Sort_order</th>
            <th colspan="1" class="has-text-centered">Option</th>
            <th colspan="1" class="has-text-centered">Filter</th>
            <th colspan="1" class="has-text-centered">Update</th>
            <th colspan="1" class="has-text-centered">Delete</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($data['ag'] as $ag): ?>
            <tr>
                <td class="has-text-centered"><?= $ag->attribute_group_id ?></td>
                <td class="has-text-centered"><?= $ag->attributeGroupDescription->name ?></td>
                <td class="has-text-centered"><?= $ag->sort_order ?></td>
                <td class="has-text-centered"><?= $ag->option ?></td>
                <td class="has-text-centered"><?= $ag->filter ?></td>
                <td class="has-text-centered">
                    <a href="<?= Url::to(['attribute-group/update', 'id' => $ag->attribute_group_id]) ?>"
                       title="Изменить" data-id="<?= $ag->attribute_group_id ?>">
                        <span class="icon has-text-primary"><i class="fas fa-lg fa-edit"></i></span>
                    </a>
                </td>
                <td class="has-text-centered">
                    <a href="<?= Url::to(['attribute-group/delete', 'id' => $ag->attribute_group_id]) ?>"
                       title="Удалить" data-id="<?= $ag->attribute_group_id ?>"
                       class="btn-remove" data-method="post">
                        <span class="icon has-text-primary"><i class="fas fa-lg fa-times-circle"></i></span>
                    </a>
                </td>
            </tr>
        <?php endforeach; ?>
        </tbody>
    </table>
</div>

modules/yii2admin/views/attribute-group/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */

$this->title = 'Update Attribute Group: ' . $model->attribute_group_id;
?>
<div id="breadcrumbs">
    <div class="container is-size-6">
        <?= $breadcrumbs ?>
    </div>
</div>
<div class="section container content">
    <h1><?= Html::encode($this->title) ?></h1>
    <?= $this->render('form', [
        'model' => $model,
        'modelAgd' => $modelAgd,
        'nameButton' => 'Изменить',
    ]) ?>
</div>

modules/yii2admin/views/attribute-group/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */

$this->title = 'View Attribute Group: ' . $model->attribute_group_id;
?>
<div id="breadcrumbs">
    <div class="container is-size-6">
        <?= $breadcrumbs ?>
    </div>
</div>
<div class="section container content">
    <h1><?= Html::encode($this->title) ?></h1>
    <table class="table is-striped is-hoverable is-fullwidth">
        <thead>
        <tr>
            <th colspan="1" class="has-text-centered">Id</th>
            <th colspan="1" class="has-text-centered">Sort_order</th>
            <th colspan="1" class="has-text-centered">Option</th>
            <th colspan="1" class="has-text-centered">Filter</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td class="has-text-centered"><?= $model->attribute_group_id ?></td>
            <td class="has-text-centered"><?= $model->sort_order ?></td>
            <td class="has-text-centered"><?= $model->option ?></td>
            <td class="has-text-centered"><?= $model->filter ?></td>
        </tr>
        </tbody>
    </table>
    <hr>

    <table class="table is-striped is-hoverable is-fullwidth">
        <thead>
        <tr>
            <th colspan="1" class="has-text-centered">Language_id</th>
            <th colspan="1" class="has-text-centered">Name</th>
            <th colspan="1" class="has-text-centered">Seo_url</th>
            <th colspan="1" class="has-text-centered">Title</th>
            <th colspan="1" class="has-text-centered">Description</th>
            <th colspan="1" class="has-text-centered">Keyword</th>
            <th colspan="1" class="has-text-centered">H1</th>
            <th colspan="1" class="has-text-centered">Nofollow</th>
            <th colspan="1" class="has-text-centered">Noindex</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td class="has-text-centered"><?= $modelAgd->language_id ?></td>
            <td class="has-text-centered"><?= $modelAgd->name ?></td>
            <td class="has-text-centered"><?= $modelAgd->seo_url ?></td>
            <td class="has-text-centered"><?= $modelAgd->title ?></td>
            <td class="has-text-centered"><?= $modelAgd->description ?></td>
            <td class="has-text-centered"><?= $modelAgd->keyword ?></td>
            <td class="has-text-centered"><?= $modelAgd->h1 ?></td>
            <td class="has-text-centered"><?= $modelAgd->nofollow ?></td>
            <td class="has-text-centered"><?= $modelAgd->noindex ?></td>
        </tr>
        </tbody>
    </table>

</div>

modules/yii2admin/views/attribute-group/view_.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\modules\yii2admin\models\AttributeGroup */

$this->title = $model->attribute_group_id;
$this->params['breadcrumbs'][] = ['label' => 'Attribute Groups', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="attribute-group-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->attribute_group_id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->attribute_group_id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'attribute_group_id',
            'sort_order',
            'option',
            'filter',
        ],
    ]) ?>

</div>